ALTER TABLE wcf1_user ADD wqmLastUpdate INT(10) UNSIGNED NOT NULL default 0;
ALTER TABLE wcf1_user ADD wqmHasNew tinyint(1) UNSIGNED NOT NULL default 0;

DROP TABLE IF EXISTS wcf1_wqm;
CREATE TABLE wcf1_wqm (
  wqmID int(10) unsigned NOT NULL AUTO_INCREMENT,
  userID int(10) unsigned NOT NULL DEFAULT '0',
  quotedByUserID int(10) unsigned NOT NULL DEFAULT '0',
  quotedByUsername varchar(255) NOT NULL DEFAULT '',
  `subject` varchar(255) NOT NULL DEFAULT '',
  message mediumtext NOT NULL,
  messagePreview mediumtext NOT NULL,
  firstID int(10) unsigned NOT NULL DEFAULT '0',
  secondID int(10) unsigned NOT NULL DEFAULT '0',
  thirdID int(10) unsigned NOT NULL DEFAULT '0',
  firstName varchar(255) NOT NULL DEFAULT '',
  secondName varchar(255) NOT NULL DEFAULT '',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `type` varchar(255) NOT NULL DEFAULT '',
  isViewed tinyint(1) unsigned NOT NULL DEFAULT '0',
  isDeleted tinyint(1) unsigned NOT NULL DEFAULT '0',
  isNew tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (wqmID),
  UNIQUE KEY userID (userID,quotedByUserID,firstID,secondID,thirdID,`type`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;